package com.jiayue.insu.incloud.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * Station场站信息
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/25 16:22
 */
@TableName(value = "in_station")
@Data
public class Station extends BaseEntity {

    /**
     * Id
     */
    @TableId(type = IdType.AUTO)
    Long id;
    /**
     * 场站名称
     */
    String name;
    /**
     * 场站标识
     */
    String stationCode;
    /**
     * 标识
     */
    String signCode;
    /**
     * 场站类型
     */
    String type;
    /**
     * 用户名
     */
    String username;
    /**
     * 密码
     */
    String password;
    /**
     * 通讯key
     */
    String comKey;
    /**
     * 状态
     */
    String state;
    /**
     * 一体化公司
     */
    String inCode;

    /**
     * key到期时间
     */
    LocalDateTime keyTime;

    /**
     * 上送未来天数
     */
    Integer days;

    //下载原始数据时间
    String initDownTime;

    //上送原始数据时间
    String initPushTime;

    //下载修正数据时间
    String correctDownTime;


}
