package com.jiayue.passback.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;

/**
 * 气象站
 * 环境监测仪数据抽象实体
 *
 * @author zzy
 * @version 1.0
 * @since 2019/8/2 9:27
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("t_weather_station_status_data")
public class WeatherStationStatusData extends AbstractEquipmentStatusData {

	/**
	 * 总辐射（W/㎡）
	 */
	@TableField("C_EQUIPMENT_NO")
	private BigDecimal globalR;

	/**
	 * 直接辐射（W/㎡）
	 */
	@TableField("C_DIRECTR")
	private BigDecimal directR;

	/**
	 * 散射辐射（W/㎡）
	 */
	@TableField("C_DIFFUSER")
	private BigDecimal diffuseR;

	/**
	 * 环境温度（℃）
	 */
	@TableField("C_AIRT")
	private BigDecimal airT;

	/**
	 * 气压（KPa）
	 */
	@TableField("C_P")
	private BigDecimal p;

	/**
	 * 湿度（%）
	 */
	@TableField("C_RH")
	private BigDecimal rh;


	/**
	 * 光伏电池板温度（℃）
	 */
	@TableField("C_CELLT")
	private BigDecimal cellT;

	/**
	 * 风速（m/s）
	 */
	@TableField("C_WS")
	private BigDecimal ws;

	/**
	 * 风向（°）
	 */
	@TableField("C_WD")
	private BigDecimal wd;
	

}
