package com.jiayue.passback.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import java.math.BigDecimal;

/**
 * 测风塔数据实体
 *
 * @author zzy
 * @version 1.0
 * @since 2019/8/2 9:28
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Slf4j
@TableName("t_wind_tower_status_data")
public class WindTowerStatusData extends AbstractEquipmentStatusData {


    /**
     * 温度瞬时值（℃）
     */
    @TableField("C_T_INST")
    private BigDecimal tinst;


    /**
     * 湿度瞬时值（%）
     */
    @TableField("C_RH_INST")
    private BigDecimal rhInst;

    /**
     * 气压瞬时值（KPa）
     */
    @TableField("C_PA_INST")
    private BigDecimal paInst;

    /**
     * 风机轮毂高度风速瞬时值
     */
    @TableField("C_WS_INST_HUB_HEIGHT")
    private BigDecimal wsInstHubHeight;

    /**
     * 风机轮毂高度风向瞬时值（°）
     */
    @TableField("C_WD_INST_HUB_HEIGHT")
    private BigDecimal wdInstHubHeight;


}
