package com.jiayue.passback.entity.eunm;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * 文件类型枚举类
 *
 * @author xsl
 * @version 2.0
 * @since 2018/11/16 11:18
 */
@Getter
@AllArgsConstructor
public enum FileTypeEnum {
	E1(1,"短期"),
	E2(2,"超短期"),
	E3(3,"理论功率"),
	E4(4,"24NWP"),
	E5(5,"72NWP"),
	E6(6,"气象站"),
	E7(7,"测风塔"),
	E8(8,"逆变器"),
	E9(9,"风机信息"),
	E10(10,"光伏组件信息"),
	E11(11,"检修计划"),
	E12(12,"昨日开机容量"),
	E13(13,"短期发电计划"),
	E14(14,"超短期发电计划"),
	E15(15,"日前预测"),
	E16(16,"日前预测14"),
	E17(17,"短期168"),
	E18(18,"限电计划"),
	E19(19,"弃电计划"),
	E20(20,"场站信息"),
	E21(21,"短期_集控"),
	E22(22,"超短期_集控"),
	E23(23,"测风塔_集控"),
	E24(24,"72NWP_集控"),
	E25(25,"短期_D5000"),
	// 青海
	E26(26,"可用短期"),
	// 青海
	E27(27,"可用超短期"),
	// 宁夏
	E28(28,"理论超短期"),
	// 以下是青海新增
	E29(29,"短期预测风速风向"),
	E30(30,"实测功率"),
	E31(31,"短期预测辐照度"),
	E32(32,"短期日志"),
	E33(33,"超短期日志"),
	E34(34,"短期可用日志"),
	E35(35,"超短期可用日志"),
	E36(36,"气象站日志"),
	E37(37,"理论功率日志"),
	E38(38,"逆变器日志"),
	E39(39,"风机信息日志"),
	E40(40,"测风塔日志"),
	E41(41,"指标数据"),
	//贵州
	E42(42,"电网上报状态"),
	E43(43,"预测准确率"),
	//海南
	E44(44,"升压变"),
	//青海
	E45(45,"超短期预测风速风向"),
	//广西
	E46(46,"超短期SFTP"),
	//青海
	E47(47,"超短期预测辐照度"),
	E48(48,"单机"),
	//广西TODO
	E49(49,"短期SFTP"),
	//海南，广西（南方电网）
	E50(50,"升压站信息"),
	E51(51,"AGC_AVC信息"),
	E52(52,"风电总体信息"),
	E53(53,"光伏总体信息"),
	E54(54,"统计信息"),
	E55(55,"逆变器/汇流箱信息"),
	E56(56,"南网短期预测"),
	E57(57,"南网超短期预测"),
	E58(58,"D5000样板机"),
	E59(59,"短期02"),
	E60(60,"离线理论功率"),
	E61(61,"在线理论功率"),
	//湖北康桥旧文件和湖北其他站的地调
	E62(62,"湖北短期"),
	E63(63,"湖北超短期"),
	E64(64,"湖北72nwp"),
	E65(65,"湖北气象站"),
	E66(66,"湖北测风塔"),
	E67(67,"湖北单机"),
	//湖北康桥地调
	E68(68,"荆门地调短期"),
	E69(69,"荆门地调超短期"),
	E70(70,"荆门地调72nwp"),
	E71(71,"荆门地调气象站"),
	E72(72,"荆门地调测风塔"),
	E73(73,"荆门地调单机"),
	E74(74,"荆门地调风机信息"),
	E75(75,"荆门地调逆变器"),
	E76(76,"南网风电机组"),
	//新疆网调光伏
	E77(77,"新疆网调逆变器"),
	E78(78,"新疆网调气象站"),
	E79(79,"新疆网调超短期"),
	E80(80,"新疆网调短期"),
	E81(81,"新疆网调实时量测"),
	E82(82,"新疆网调集电线"),

	E83(83,"南网压缩包"),
	E84(84,"湖北逆变器"),
	E85(85,"青海理论功率（风）"),
	E86(86,"短期_辽宁龙源集控"),
	E87(87,"超短期_辽宁龙源集控"),
	E88(88,"测风塔_辽宁龙源集控"),
	E89(89,"风机_辽宁龙源集控"),
	//浙江省调上报文件
	E90(90,"省调短期"),
	E91(91,"省调昨日开机容量"),

	E92(92,"湖北逆变器信息"),

	E93(93,"黄冈地调短期"),
	E94(94,"黄冈地调超短期"),
	E95(95,"黄冈地调72nwp"),
	E96(96,"黄冈地调气象站"),
	E97(97,"黄冈地调测风塔"),
	E98(98,"黄冈地调风机"),
	E99(99,"黄冈地调逆变器"),

	E100(100,"随州地调短期"),
	E101(101,"随州地调超短期"),
	E102(102,"随州地调72nwp"),
	E103(103,"随州地调气象站"),
	E104(104,"随州地调逆变器"),

	E105(105,"广东中调短期WPD"),
	E106(106,"广东中调超短期WPD"),
	E107(107,"广东中调气象站WPD"),
	E108(108,"广东中调逆变器WPD"),
	E109(109,"广东中调短期dat"),
	E110(110,"广东中调超短期dat"),
	E111(111,"广东中调气象站dat"),
	E112(112,"广东中调逆变器dat"),

	E113(113,"NWP_辽宁龙源集控"),

	E114(114,"蒙东南瑞集控测风塔"),
	E115(115,"龙源南瑞集控测风塔"),

	E116(116,"贵州总调短期"),
	E117(117,"贵州总调超短期"),
	E118(118,"贵州总调气象站"),
	E119(119,"贵州总调逆变器"),

	E120(120,"孝感地调测风塔"),
	E121(121,"孝感地调风机"),

	E122(122,"贵州新短期"),
	E123(123,"贵州新超短期"),
	E124(124,"贵州新气象站"),
	E125(125,"贵州新测风塔"),
	E126(126,"贵州新逆变器"),
	E127(127,"贵州新风机"),
	E128(128,"贵州新理论功率"),
	E129(129,"贵州新逆变器信息"),
	E130(130,"贵州新风机信息"),

	E131(131,"山东新上午短期"),
	E132(132,"山东新下午短期"),
	E133(133,"山东新超短期"),
	E134(134,"山东新气象站"),
	E135(135,"山东新测风塔"),
	E136(136,"山东新逆变器"),
	E137(137,"山东新风机"),
	E138(138,"山东新理论功率"),
	E139(139,"山东新逆变器信息"),
	E140(140,"山东新风机信息"),
	E141(141,"孝感地调短期"),
	E142(142,"孝感地调超短期"),
	E143(143,"孝感地调nwp"),
	E144(144,"日内预测短期"),
	E145(145,"内蒙古新上午短期"),
	E146(146,"内蒙古新下午短期"),
	E147(147,"内蒙古新超短期"),

	E148(148,"贵州中转短期"),
	E149(149,"贵州中转超短期"),
	E150(150,"贵州中转气象站"),
	E151(151,"贵州中转统计信息"),
	E152(152,"贵州中转方阵信息"),
	E153(153,"甘肃新短期"),
	E154(154,"甘肃12个月电量预测"),

	E155(155,"吉林新上午短期"),
	E156(156,"吉林新电量预测"),
	E157(157,"吉林新下午短期"),

	E158(158,"青海新电量预测"),
	E159(159,"广西升压站信息"),
	E160(160,"广西AGC-AVC信息"),
	E161(161,"广西风电场总体信息"),
	E162(162,"广西气象环境监视信息"),
	E163(163,"广西风/光统计信息"),
	E164(164,"广西逆变器/汇流箱信息"),
	E165(165,"广西短期预测"),
	E166(166,"广西超短期预测"),
	E167(167,"广西风力发电机组信息"),
	// 新疆用的短期下午
	E168(168,"短期下午"),

	E169(169,"河南漯河地调气象站"),
	//江苏省调短期
	E170(170,"省调短期"),
	//江苏省调超短期
	E171(171,"省调超短期"),
	//江苏省调短期
	E172(172,"省调旧短期"),
	//江苏省调旧超短期
	E173(173,"省调旧超短期"),


	E174(174,"湖北咸宁地调短期"),
	E175(175,"湖北咸宁地调超短期"),
	E176(176,"湖北咸宁地调气象站"),
	E177(177,"湖北咸宁地调逆变器"),
	E178(178,"湖北咸宁地调NWP"),
	E179(179,"湖北上午短期"),
	E180(180,"湖北下午短期"),
	E181(181,"湖北原短期下午"),

	E182(182,"湖北上午短期（老系统）"),
	E183(183,"湖北下午短期（老系统）"),
	E184(184,"湖北原短期下午（老系统）"),

	E185(185,"湖北荆州地调短期"),
	E186(186,"湖北荆州地调超短期"),
	E187(187,"湖北荆州地调nwp"),
	E188(188,"湖北荆州地调测风塔"),
	E189(189,"湖北荆州地调风机"),

	E190(190,"江西萍乡地调短期"),
	E191(191,"江西萍乡地调超短期"),
	E192(192,"江西萍乡地调气象站"),

	//黑龙江综合通信日志
	E193(193,"72nwp日志（黑）"),
	E194(194,"测风塔日志（黑）"),
	E195(195,"风机日志（黑）"),
	E196(196,"检修计划日志（黑）"),
	E197(197,"短期日志（黑）"),
	E198(198,"超短期日志（黑）"),
	E199(199,"气象站日志（黑）"),
	E200(200,"逆变器日志（黑）"),

	E201(201,"黑龙江新电量预测"),

	//华北直调
	E202(202,"中短期功率预测"),

	E203(203,"华北新可用超短期"),
	E204(204,"华北新上午可用短期"),
	E205(205,"华北新下午可用短期"),

	E206(206,"冀北短期"),
	E207(207,"冀北气象"),

	E208(208,"（黑）三峡新能集控短期"),
	E209(209,"（黑）三峡新能集控超短期"),
	E210(210,"（黑）三峡新能集控nwp"),
	E211(211,"（黑）三峡新能集控理论功率"),
	E212(212,"（黑）三峡新能集控功率预测系统状态"),

	E213(213,"广东升压站信息"),
	E214(214,"广东AGC-AVC信息"),
	E215(215,"广东风电场总体信息"),
	E216(216,"广东气象环境监视信息"),
	E217(217,"广东风/光统计信息"),
	E218(218,"广东逆变器/汇流箱信息"),
	E219(219,"广东短期预测"),
	E220(220,"广东超短期预测"),
	E221(221,"广东风力发电机组信息"),
	E222(222,"广东箱变/方阵信息"),

	E223(223,"辽宁三峡新能源短期"),
	E224(224,"辽宁三峡新能源超短期"),

	E225(225,"宜昌地调短期"),
	E226(226,"宜昌地调超短期"),
	E227(227,"宜昌地调NWP"),
	E228(228,"宜昌地调测风塔"),
	E229(229,"宜昌地调单机"),
	E230(230,"宜昌地调气象站"),
	E231(231,"宜昌地调逆变器"),
	E232(232,"宜昌地调风机信息"),
	E233(233,"宜昌地调逆变器信息"),

	E234(234,"孝感地调气象站"),
	E235(235,"孝感地调逆变器"),

	E236(236,"开机容量（未来）"),

	//湖北康桥地调
	E237(237,"荆门地调72nwp(下午)"),
	E238(238,"荆门地调短期(下午)"),

	//河南地调文件
	E239(239,"河南地调短期"),
	E240(240,"河南地调超短期"),
	E241(241,"河南地调24nwp"),
	E242(242,"河南地调72nwp"),
	E243(243,"河南地调测风塔"),
	E244(244,"河南地调风机"),
	E245(245,"河南地调昨日开机容量"),

	E400(400,"新疆备调短期"),
	E401(401,"新疆备调下午短期"),

	E402(402,"单机转发上送"),

	E500(500,"一体化短期"),
	E501(501,"一体化短期(预测10天)");
	/*
	添加了超短期类型别忘了在下面getCDQ()方法中也加上
	⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇
	⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇
	⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇
	⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇
	⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇⬇
	 */
	private Integer code;
	private String message;


	//封装黑龙江类型的返回值
	public static List<FileTypeEnum> getHLJ(){
		List<FileTypeEnum> fileTypeEnums = new ArrayList<>();
		fileTypeEnums.add(FileTypeEnum.E194);
		fileTypeEnums.add(FileTypeEnum.E195);
		fileTypeEnums.add(FileTypeEnum.E198);
		fileTypeEnums.add(FileTypeEnum.E199);
		fileTypeEnums.add(FileTypeEnum.E200);
		return fileTypeEnums;
	}


	//封装所有使用超短期提前参数的超短期类型的返回值
	public static List<FileTypeEnum> getCDQ(){
		List<FileTypeEnum> fileTypeEnums = new ArrayList<>();
		fileTypeEnums.add(FileTypeEnum.E2);
		fileTypeEnums.add(FileTypeEnum.E27);
		fileTypeEnums.add(FileTypeEnum.E63);
		fileTypeEnums.add(FileTypeEnum.E69);
		fileTypeEnums.add(FileTypeEnum.E79);
		fileTypeEnums.add(FileTypeEnum.E94);
		fileTypeEnums.add(FileTypeEnum.E101);
		fileTypeEnums.add(FileTypeEnum.E106);
		fileTypeEnums.add(FileTypeEnum.E110);
		fileTypeEnums.add(FileTypeEnum.E117);
		fileTypeEnums.add(FileTypeEnum.E123);
		fileTypeEnums.add(FileTypeEnum.E133);
		fileTypeEnums.add(FileTypeEnum.E147);
		fileTypeEnums.add(FileTypeEnum.E149);
		fileTypeEnums.add(FileTypeEnum.E166);
		fileTypeEnums.add(FileTypeEnum.E171);
		fileTypeEnums.add(FileTypeEnum.E173);
		fileTypeEnums.add(FileTypeEnum.E175);
		fileTypeEnums.add(FileTypeEnum.E186);
		fileTypeEnums.add(FileTypeEnum.E191);
		fileTypeEnums.add(FileTypeEnum.E203);
		fileTypeEnums.add(FileTypeEnum.E220);
		fileTypeEnums.add(FileTypeEnum.E224);
		fileTypeEnums.add(FileTypeEnum.E226);
		fileTypeEnums.add(FileTypeEnum.E240);
		return fileTypeEnums;
	}

}
