package com.jiayue.passback.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jiayue.passback.entity.UploadFileLog;
import com.jiayue.passback.entity.eunm.FileStatusEnum;
import com.jiayue.passback.mapper.UploadFileLogMapper;
import com.jiayue.passback.service.UploadFileLogService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.time.DateFormatUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

@Service
@Slf4j
public class UploadFileLogServiceImpl extends ServiceImpl<UploadFileLogMapper, UploadFileLog> implements UploadFileLogService {
    @Value("${tunnelName}")
    private String tunnelName;

    @Value("${dqType}")
    private String dqType;

    @Value("${cdqType}")
    private String cdqType;

    @Override
    public Map<String, Object> GenerateData(Date date) {

        Date startTime = date;

        Date endTime = new Date(date.getTime() + 15 * 60 * 1000);

        Map<String, Object> map = new HashMap<>();


        if (list(lambdaQuery()
                .between(UploadFileLog::getCreatTime, startTime, endTime)
                .eq(UploadFileLog::getFileTypeEnum, cdqType)
                .eq(UploadFileLog::getFileStatusEnum, FileStatusEnum.E2).getWrapper()).size() > 0) {
            map.put("cdqStatus", 1);
        }else {
            map.put("cdqStatus", 0);
        }

        if (list(lambdaQuery()
                .between(UploadFileLog::getCreatTime, startTime, endTime)
                .eq(UploadFileLog::getFileTypeEnum, dqType)
                .eq(UploadFileLog::getFileStatusEnum, FileStatusEnum.E2).getWrapper()).size() > 0) {
            map.put("dqStatus", 1);
        }else {
            map.put("dqStatus", 0);
        }

        log.info("获取短期上报状态：{}，获取超短期上报状态：{}",map.get("dqStatus"),map.get("cdqStatus"));

        return map;
    }
}
