package com.jiayue.passback.util;

import freemarker.template.Configuration;
import freemarker.template.Template;
import org.springframework.util.ResourceUtils;

import java.io.File;
import java.io.FileWriter;
import java.io.Writer;


public class FreemarkerUtil {

   public static void genFile(Object data,String outPath,String fileName) throws Exception {
       //1.创建freemarker的配置对象
       Configuration configuration = new Configuration(Configuration.getVersion());
       //2.设置模板文件所在目录
       String templateFilePath = ResourceUtils.getURL("classpath:").getPath() +File.separator+ "template";

       configuration.setDirectoryForTemplateLoading(new File(templateFilePath));
       //3.设置字符集
       configuration.setDefaultEncoding("utf-8");
       //4数字格式去除逗号
       configuration.setNumberFormat("#");
       //5.加载模板
       Template template = configuration.getTemplate("template.ftl");
       //6.准备模板文件中所需的数据，一般通过map构造
//       Map<String,String> map = new HashMap<>();
//       map.put("name","panghl");
//       map.put("message","你好啊！！！freemarker");
       //7.创建Writer对象,用于输出静态文件
       Writer out = new FileWriter(new File(outPath+File.separator+fileName));
       //8.输出文件
       template.process(data,out);
       //9.关闭流
       out.close();
   }

}
